Pular para o conteúdo principal

Não há mais suporte para esse navegador.

Atualize o Microsoft Edge para aproveitar os recursos, o suporte técnico e as atualizações de segurança mais recentes.

Baixar o Microsoft Edge Mais informações sobre o Internet Explorer e o Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Redteams

Get a redteam

GET /redTeams/runs/{name}

Retrieves the specified redteam and its configuration.

Parâmetros de consulta

api-version string exigido

The API version to use for this operation.

Parâmetros de caminho

name string exigido

Identifier of the red team run.

Parâmetros do cabeçalho

Foundry-Features enum exigido

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

RedTeams=V1Preview

Respostas

The request has succeeded.

Corpo

Content-Type: application/json
id string exigido

Identifier of the red team run.

displayName string

Name of the red-team run.

numTurns integer

Number of simulation rounds.

attackStrategies AttackStrategy[]

List of attack strategies or nested lists of attack strategies.

simulationOnly boolean

Simulation-only or Simulation + Evaluation. If true the scan outputs conversation not evaluation result. The service defaults to false if a value is not specified by the caller.

riskCategories RiskCategory[]

List of risk categories to generate attack objectives for.

applicationScenario string

Application scenario for the red team operation, to generate scenario specific attacks.

tags object

Red team's tags. Unlike properties, tags are fully mutable.

[key: string] string
properties object

Red team's properties. Unlike tags, properties are add-only. Once added, a property cannot be removed.

[key: string] string
status string

Status of the red-team. It is set by service and is read-only.

target AzureOpenAIModel exigido

Abstract class for target configuration.

Um dos seguintes:
AzureOpenAIModel AzureOpenAIModelConfiguration

Azure OpenAI model configuration. The API version would be selected by the service for querying the model.

type enum exigido
AzureOpenAIModel
modelDeploymentName string exigido

Deployment name for AOAI model. Example: gpt-4o if in AIServices or connection based connection_name/deployment_name (e.g. my-aoai-connection/gpt-4o).

Client error

Cabeçalhos

x-ms-error-code string

String error code indicating what went wrong.

Corpo

Content-Type: application/json
error Azure.Core.Foundations.Error exigido

The error object.

code string exigido

One of a server-defined set of error codes.

message string exigido

A human-readable representation of the error.

target string

The target of the error.

details Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

code string

One of a server-defined set of error codes.

innererror Azure.Core.Foundations.InnerError

Server error

Cabeçalhos

x-ms-error-code string

String error code indicating what went wrong.

Corpo

Content-Type: application/json
error Azure.Core.Foundations.Error exigido

The error object.

code string exigido

One of a server-defined set of error codes.

message string exigido

A human-readable representation of the error.

target string

The target of the error.

details Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

code string

One of a server-defined set of error codes.

innererror Azure.Core.Foundations.InnerError

Solicitar

GET /redTeams/runs/{name} HTTP/1.1

Resposta

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
pt-br
Suas escolhas de privacidade
  • Aviso de isenção de responsabilidade sobre a IA
  • Versões anteriores
  • Blog
  • Contribuir
  • Privacidade
  • Privacidade da Integridade do Consumidor
  • Termos de Uso
  • Marcas Comerciais
  • © Microsoft 2026